## qd 2.3.22%2Bdfsg.1

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ 

CXXFLAGS=-O3

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

get-orig-source:
	uscan --force-download
