## qd 2.3.22+dfsg.1

=== debian/changelog ===
qd (2.3.22+dfsg.1-3) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Build-Depend on gfortran | fortran-compiler, for flang.
  * When compiling with flang, set -fPIC in d/rules
  * Patch from  Frédéric Bonnard for FTBFS on ppc64el. 
    Closes: #935289

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Sep 2019 10:49:51 +0100

qd (2.3.22+dfsg.1-2) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  *  autoconf patch obsolete
  * Undo hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Nov 2018 15:02:35 +0000
