## qd 2.3.23+dfsg.1

=== debian/changelog ===
qd (2.3.23+dfsg.1-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:27 +1100

qd (2.3.23+dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062713

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:35:26 +0000

qd (2.3.23+dfsg.1-1) unstable; urgency=medium

  * New upstream release. Closes: #997255
    - drop pdf fix and ppc workaround patches
    - New patch to stop build of pdf for now (buildir issue)
  * Use dh-sequence-fortran-mod and ship Fortran module files in
    compiler-specific dirs
  * Drop flang dep for now until its back in Debian
  * Use debhelper-compat (= 13)
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Feb 2022 12:58:54 +0000
