=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: qd
 Priority: optional
 Section: libs
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
  g++ (>= 4.1), 
  gfortran | fortran-compiler,
+ dh-sequence-fortran-mod,
  gawk,
  texlive-latex-base, texlive-latex-recommended,
  ghostscript, texlive-latex-extra
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://crd.lbl.gov/~dhbailey/mpdist/
 Vcs-Browser: https://salsa.debian.org:/science-team/qd.git
 Vcs-Git: https://salsa.debian.org:/science-team/qd.git
@@ -17,7 +19,8 @@
 Package: libqd-dev
 Section: libdevel
 Architecture: any
-Depends: libqd0v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libqd0t64 (= ${binary:Version}), ${misc:Depends}
+Recommmends: pkg-config
 Description: Double-double and quad double types in C++ and F90
  This package supports both a double-double datatype (approx. 32
  decimal digits) and a quad-double datatype (approx. 64 decimal
@@ -26,11 +29,14 @@
  to convert an existing C++ or Fortran-90 program to use the library
  with only minor changes to the source code.
 
-Package: libqd0v5
+Package: libqd0t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libqd0v5
+Breaks: libqd0v5 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Replaces: libqd2c2a, libqd0
+Replaces: libqd0v5, libqd2c2a, libqd0
 Conflicts: libqd2c2a, libqd0
 Description: Double-double and quad double types in C++ and F90
  This package supports both a double-double datatype (approx. 32
